/*
 Theme Name:     Divi Child Theme
 Theme URI:      http://www.elegantthemes.com/gallery/divi/
 Description:    Divi Child Theme
 Author:         Elegant Themes
 Author URI:     http://www.elegantthemes.com
 Template:       Divi
*/
 
/* =Theme customization starts here
------------------------------------------------------- */ 


#home-boxes-new {display: flex;flex-direction: column;align-items: center;gap: 10px;height: 100%;justify-content: center;min-height: 300px;padding: 40px 30px;}

#home-boxes-new .et_pb_promo_description h2 { text-align: center!important; padding-bottom: 15px;}
#home-boxes-new .et_pb_promo_description p {font-size: 14px;line-height: 1.7;text-wrap-style: pretty;}
#home-boxes-new .et_pb_button_wrapper .et_pb_promo_button.et_pb_button {  font-weight: 500; text-decoration: underline;}
#home-boxes-new:has(.et_pb_promo_description p) .et_pb_button_wrapper{ margin-top: auto;}

 
.grecaptcha-badge { display: none;}
body { font-weight: 400;}
body.admin-bar.et_fixed_nav.et_secondary_nav_enabled #main-header { top: 32px;}
body.et_fixed_nav.et_secondary_nav_enabled #main-header { top: 0px;} 
#main-header, .et_pb_module, #newnav { transition: none!important;}
.container, .et_pb_row { width: 90%!important;}
#et-boc .aws-container .aws-search-field { border-color: #fff!important;}

.aws-search-result .aws_result_title { font-size: 15px; color: #e894b9;}
.aws-search-result .aws_search_more a { color: #000;}

#nav_menu-2 { margin-bottom: 0px;}
#menu-top-nav .fab  {font-size: 18px; margin-top: -1px;}
.et-db #et-boc .et-l ul#menu-main-nav-1 li.current-menu-item ul.sub-menu li a { color: #333333!important;}
.ppc-button-wrapper { margin-top: 40px;}

/*cf7 contat form*/
.wpcf7-text, .wpcf7-date, .wpcf7-number, .wpcf7-textarea, .wpcf7-captchar, .wpcf7-quiz {background-color: rgba(221, 221, 221, 0) !important;border: 1px solid #ddd !important;width: 100% !important;-moz-border-radius: 0px !important;-webkit-border-radius: 0px!important;border-radius: 0px !important;font-size: 15px;color: #7a7a7a !important;padding: 12px 16px !important;-moz-box-sizing: border-box;-webkit-box-sizing: border-box;box-sizing: border-box;margin-top: 5px!important; -webkit-appearance: none; -moz-appearance:none; appearance:none;}
div.wpcf7 select {background-color: rgba(221,221,221,0.4) !important;border: 1px solid #ddd !important;width: 100% !important;-moz-border-radius: 0 !important;-webkit-border-radius: 0 !important;border-radius: 0 !important;font-size: 15px;color: #555 !important;padding: 0 !important;min-height: 36px;height: 36px;-moz-box-sizing: border-box;-webkit-box-sizing: border-box;box-sizing: border-box;margin-top: 5px!important;}
.wpcf7-textarea { height: 200px;}
.wpcf7-form label {float: left;width: 100%;margin-bottom: 0px; font-weight: 400; font-size: 15px; color: #333;}
.wpcf7-form label span { color: #ff0000; }
.wpcf7-form .half {float: left;width: 50%;padding: 0 10px;margin-bottom: 20px;}
.wpcf7-form .full {float: left;width: 100%;padding: 0 10px;margin-bottom:20px;}

input.wpcf7-submit {color: #fff !important;margin: 0px auto 0;cursor: pointer;font-size: 18px;font-weight: 500;-moz-border-radius: 0;-webkit-border-radius: 0;border-radius: 0;padding: 0.3em 1em;float: right;line-height: 1.7em;background: #333;border: 2px solid #333;-webkit-font-smoothing: antialiased;-moz-osx-font-smoothing: grayscale;-moz-transition: all 0.2s;-webkit-transition: all 0.2s;transition: all 0.2s; text-transform:capitalize; font-weight: 400; }
input.wpcf7-submit:hover {background-color: #e893b9;border: 2px solid #e893b9;padding: 0.3em 1em !important; color: #fff!important;}

.wpcf7 form .wpcf7-response-output {margin: 0em 0em 1em;padding: 0.2em 1em 0.4em; font-weight: 400; letter-spacing: 0.02em; text-align: center; margin-top: 20px;}
div.wpcf7-validation-errors,div.wpcf7-acceptance-missing {border: 2px solid #de0000;background: #de0000;color: #fff;}
.wpcf7 form.invalid .wpcf7-response-output, .wpcf7 form.unaccepted .wpcf7-response-output { border-color: #F44336;background: #f44336;color: #fff;}
.wpcf7 form.sent .wpcf7-response-output {border: 2px solid #398f14;background: #398f14;color: #fff;}
.wpcf7-not-valid-tip {letter-spacing: 0.02em;}

.wpcf7-form.sent .full:not(.response), .wpcf7-form.sent .half:not(.response) { display: none;}



/* product images - max height + grey background */


.et_portfolio_image, .et_shop_image  {
  width: 100%; 
  display: inline-block;
  position: relative;
  overflow: hidden;
  background: #f6f6f6;
  margin-bottom: 10px;
}

.woocommerce-page ul.products li:not(.product-category) a img, .woocommerce ul.products li:not(.product-category) a img { 
  margin: auto;
  position: absolute;
  left: 0;
  top: 0px;
  bottom: 0;
  right: 0;
  -o-transform: translateZ(0);
  -moz-transform: translateZ(0);
  -webkit-transform: translateZ(0);
  transform: translateZ(0);
  height: 100%;
  object-fit: contain;
  object-position: 50% 50%;
}

.et_portfolio_image::after, .et_shop_image::after { 
  padding-top: 100%;
  display: block;
  content: "";
  overflow: hidden;
}

.woocommerce ul.products li.product-category .img {
  width: 100%;
  display: inline-block;
  position: relative;
  overflow: hidden;
  background: #f6f6f6; 
}

.woocommerce ul.products li.product-category .img img {
  margin: auto;
  position: absolute;
  left: 0;
  top: 0px;
  bottom: 0;
  right: 0;
  -o-transform: translateZ(0);
  -moz-transform: translateZ(0);
  -webkit-transform: translateZ(0);
  transform: translateZ(0);
  height: 100%;
  object-fit: contain;
  object-position: 50% 50%;
}

.woocommerce ul.products li.product-category .img::after {
  padding-top: 75%;
  display: block;
  content: "";
  overflow: hidden;
}

/* woocommerce */

.woocommerce a.button.alt, .woocommerce-page a.button.alt, .woocommerce button.button.alt, .woocommerce button.button.alt.disabled, .woocommerce-page button.button.alt, .woocommerce-page button.button.alt.disabled, .woocommerce input.button.alt, .woocommerce-page input.button.alt, .woocommerce #respond input#submit.alt, .woocommerce-page #respond input#submit.alt, .woocommerce #content input.button.alt, .woocommerce-page #content input.button.alt, .woocommerce a.button, .woocommerce-page a.button, .woocommerce button.button, .woocommerce-page button.button, .woocommerce input.button, .woocommerce-page input.button, .woocommerce #respond input#submit, .woocommerce-page #respond input#submit, .woocommerce #content input.button, .woocommerce-page #content input.button, .woocommerce-message a.button.wc-forward, body .et_pb_button { font-weight: 400;}

.woocommerce #respond input#submit.disabled, .woocommerce #respond input#submit:disabled, .woocommerce #respond input#submit:disabled[disabled], .woocommerce a.button.disabled, .woocommerce a.button:disabled, .woocommerce a.button:disabled[disabled], .woocommerce button.button.disabled, .woocommerce button.button:disabled, .woocommerce button.button:disabled[disabled], .woocommerce input.button.disabled, .woocommerce input.button:disabled, .woocommerce input.button:disabled[disabled] { padding:0.3em 1em; color: #fff;}

.woocommerce-message, .woocommerce-error, .woocommerce-info { font-size: 16px!important; line-height: 1.4em!important;}
.woocommerce form .form-row input.input-text, .woocommerce form .form-row textarea { padding: 11px 15px;}

.woocommerce nav.woocommerce-pagination { margin-bottom: 30px;}
.woocommerce nav.woocommerce-pagination ul li a, .woocommerce nav.woocommerce-pagination ul li span { padding: .7em .8em; font-size: 1.2em;}
.woocommerce nav.woocommerce-pagination ul li span.current { background: #e894b9; color: #fff;}

#left-area ul.products { display: inline-block;  width: 100%; margin-top: 30px;}

.woocommerce ul.products li.product, 
.woocommerce-page ul.products li.product {
  border-bottom:1px solid #eee;
  padding-bottom: 5px;
}

.woocommerce ul.products li.product .woocommerce-loop-category__title, 
.woocommerce ul.products li.product .woocommerce-loop-product__title, 
.woocommerce ul.products li.product h3 {
  text-align: center;
  font-size: 1.1em!important;
}

mark.count {
  background: none;
  font-weight: 300;
  font-size: 12px;
  letter-spacing: 0.1em;
}

.related .et_overlay::before { content: "\55";}

.woocommerce ul.products li.product .category { text-align: center; margin-bottom: -3px; line-height: 1em;}
.woocommerce ul.products li.product .category a { font-size: 12px; color: #999; display: none;}

.woocommerce ul.products li.product .price, .woocommerce-page ul.products li.product .price, .woocommerce ul.products li.product .price del, .woocommerce-page ul.products li.product .price del { text-align: center; font-size: 15px; color:#e894b9!important;}

.woocommerce-products-header__title, .product .related h2 { padding-bottom: 30px;}
p.woocommerce-result-count { font-weight: 400;}
.orderby, .woocommerce div.product form.cart .variations td select { background: #fff; border: 1px solid #ddd; padding: 8px;}
 
.single-product .woocommerce-breadcrumb { margin: 0 0 2em;}
.woocommerce div.product p.price, .woocommerce-page div.product p.price { padding-bottom: 20px}
.woocommerce .quantity input.qty, .woocommerce-page .quantity input.qty, .woocommerce #content .quantity input.qty, .woocommerce-page #content .quantity input.qty, .woocommerce-cart table.cart td.actions .coupon .input-text { height: 44px!important; background: #fff!important; border: 1px solid #ddd!important; color: #333!important;}

#order_review_heading { margin-top: 40px;}

.wcpa_price_summary  {background: #f4f4f4;margin-bottom: 30px;}
.wcpa_price_summary ul {padding: 0px!important;}
.wcpa_price_summary li {padding: 10px 15px; border-color: #ddd; }
.wcpa_price_summary li:first-child { border:none;}
.wcpa_price_summary li.wcpa_total { font-weight: 600;}


.woocommerce td.product-name dl.variation .wcpa_cart_type_color-group span { font-size: 25px!important; margin-right: 3px;}

@media(max-width:480px) {
  .et_pb_shop ul.products.columns-1 li.product, .et_pb_shop ul.products.columns-2 li.product, .et_pb_shop ul.products.columns-3 li.product, .et_pb_shop ul.products.columns-4 li.product, .et_pb_shop ul.products.columns-5 li.product, .et_pb_shop ul.products.columns-6 li.product,.woocommerce ul.products li.product, .woocommerce-page ul.products li.product {
    width: 100%!important;
    margin-right: 0px!important;
  } 
}

.term-description:not(:empty) { margin-bottom: 30px; padding-bottom: 20px; border-bottom: 1px solid #eee; }


/* =woocommerce custom account page
------------------------------------------------------- */
.woocommerce-account .woocommerce-MyAccount-navigation  {
  width: 25%;
  padding-right: 5%;
}
.woocommerce-account .woocommerce-MyAccount-content { 
  width: 72%;
}

.woocommerce-MyAccount-navigation ul {
  padding: 0px;
  list-style: none;
  border: 1px solid #ddd;
  border-radius: 3px;
}

.woocommerce-MyAccount-navigation ul li a {
  display: inline-block;
  width: 100%;
  padding: 7px 15px;
  border-bottom: 1px solid #ddd;
  color: #333;
}
.woocommerce-MyAccount-navigation ul li.is-active a,.woocommerce-MyAccount-navigation ul li a:hover {
  background: #f4f4f4;
  transition: 0.2s ease-in-out;
}
.woocommerce-MyAccount-navigation ul li:last-child a { 
  border-bottom: none;
}


@media(min-width:981px){

  .et_fixed_nav.et_show_nav.et_secondary_nav_enabled #page-container { padding-top: 120px;}

  #et-top-navigation { display: none;} 
  .et_header_style_left .logo_container { position: relative; height: 120px; }
 
  .et_pb_fullwidth_menu--without-logo .et_pb_menu__menu>nav>ul, .et-db #et-boc .et-l .et_pb_fullwidth_menu--without-logo .et_pb_menu__menu>nav>ul { padding: 20px 0 0!important;}
  .et_pb_fullwidth_menu--without-logo .et_pb_menu__menu>nav>ul>li>a, .et-db #et-boc .et-l .et_pb_fullwidth_menu--without-logo .et_pb_menu__menu>nav>ul>li>a { padding-bottom: 22px; color: #333;}

  #newnav .et_pb_fullwidth_menu .et-menu>li, #newnav .et_pb_menu .et-menu>li { padding-left: 4px; padding-right: 4px;}  
  #newnav .et_pb_fullwidth_menu .et-menu>li:last-child ul { right: 0; left: initial!important;}
  #newnav nav>ul>li>ul { top: calc(100% - -1px);}
  #newnav button.et_pb_menu__icon { margin: 0 10px 0 40px!important; font-weight: 600;}

  .sticky-element-placeholder.sticky-element-active {width: 100%!important;}
  #newnav.element-is-sticky { width: 100%!important;position: fixed!important;}
  .et-db #et-boc .et-l   #newnav.et_pb_section_1.element-is-sticky, .et-db #et-boc .et-l #newnav.element-is-sticky {  width: 100%!important;position: fixed!important;}

  #et-secondary-nav, #et-secondary-nav li, #top-header .et-cart-info { position: relative; z-index: 100000;}
  #newnav.element-is-sticky { position: fixed!important;}

  button.et_pb_menu__search-button { margin-right: 0;}
  .et_pb_menu__menu { margin-right: 10px;}
}

@media(max-width:1080px){
  #newnav .et_pb_fullwidth_menu .et-menu>li, #newnav .et_pb_menu .et-menu>li { font-size: 13px;}
}

@media(max-width:1020px){
  #newnav .et_pb_fullwidth_menu .et-menu>li, #newnav .et_pb_menu .et-menu>li {padding-left: 3px; padding-right: 3px; font-size: 12px;}
}

@media(max-width:980px){
  #logo { max-height: 70%; }
  .et_pb_menu .et_mobile_menu { top: calc(100% + 15px);}
  .et_pb_menu .et_mobile_menu .menu-item-has-children > a,.et_pb_fullwidth_menu .et_mobile_menu .menu-item-has-children > a,#main-header .et_mobile_menu .menu-item-has-children > a {background-color: transparent;position: relative;font-weight: 400;}
  .et_pb_menu .et_mobile_menu .menu-item-has-children > a:after,.et_pb_fullwidth_menu .et_mobile_menu .menu-item-has-children > a:after,#main-header .et_mobile_menu .menu-item-has-children > a:after {font-family: 'ETmodules';text-align: center;speak: none;font-weight: 600;font-variant: normal;text-transform: none;-webkit-font-smoothing: antialiased;position: absolute;font-size: 18px;content: '\4c';top: 11px;right: 13px;}
  .et_pb_menu .et_mobile_menu .menu-item-has-children.visible > a:after,.et_pb_fullwidth_menu .et_mobile_menu .menu-item-has-children.visible > a:after,#main-header .et_mobile_menu .menu-item-has-children.visible > a:after {content: '\4d';}
  .et_pb_menu .et_mobile_menu ul.sub-menu,.et_pb_fullwidth_menu .et_mobile_menu ul.sub-menu,#main-header .et_mobile_menu ul.sub-menu {display: none !important;visibility: hidden !important;transition: all 1.5s ease-in-out;}
  .et_pb_menu .et_mobile_menu .visible > ul.sub-menu,.et_pb_fullwidth_menu .et_mobile_menu .visible > ul.sub-menu,#main-header .et_mobile_menu .visible > ul.sub-menu {display: block !important;visibility: visible !important; background: #e08fb3;}

  .et_pb_menu__wrap .mobile_menu_bar { transform: translateY(0%);}
  .et_pb_menu__wrap .mobile_menu_bar::before { top: 0px;}
  
}
@media(max-width:667px){
.et_pb_menu .et_pb_menu__search-container { padding-left: 0px!important;}
#et-boc .aws-container .aws-search-field { font-size: 15px;}

.woocommerce-account .woocommerce-MyAccount-navigation  {
  width: 100%;
  padding-right: 0%;
}
.woocommerce-account .woocommerce-MyAccount-content { 
  width: 100%;
}
.woocommerce-MyAccount-content { 
  margin-top: 40px;
}
}

@media(max-width:380px){
  a.et_pb_menu__icon, button.et_pb_menu__icon {margin: 0 8px; font-size: 15px;}
  button.et_pb_menu__search-button { margin-right: 5px;}

}


.woocommerce div.product form.cart .variations th.label { font-weight: 400; padding: 0px!important;}
.woocommerce div.product form.cart .variations th.label label { font-weight: 400;}
.woocommerce div.product form.cart .variations tr { display: flex; flex-direction: column; width: 100%; padding: 0px!important; }

.woocommerce div.product form.cart .variations td { padding-bottom: 0px!important;}
.woocommerce div.product form.cart .variations td span:has(select) { position: relative;}
.woocommerce div.product form.cart .variations td span:has(select)::after {
    content: "";
    display: block;
    position: absolute;
    top: 6px;
    right: 15px;
    width: 0;
    height: 0;
    pointer-events: none;
    border-style: solid;
    border-width: 8px 5px 0 5px;
    border-color: #aaa transparent transparent transparent;
  }
.woocommerce div.product form.cart .variations td select { 
  font-family: 'Poppins', Helvetica, Arial, Lucida, sans-serif;
  display: inline-block;
    width: 100%;
    cursor: pointer;
    line-height: 25px;
    padding: 5px 15px;
    outline: 0;
    border-radius: 0;
    border: 1px solid #aaa;
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    background: #fff; margin: 0;
   font-size: 13px!important;
  color: #4e4e4e!important;
font-weight: 400;}